SFTP(1)

NOM
sftp - Transfert de fichier sécurisé par OpenSSH

SYNOPSIS
sftp [-46AaCfNpqrv] [-B taille_tampon] [-b fichier_batch] [-c algo_chiffrement] [-D commande_serveur_sftp] [-F configuration_ssh] [-i fichier_identité] [-J destination] [-l limite] [-o option_ssh] [-P port] [-R nombre_requêtes] [-S programme] [-s sous_système | serveur_sftp] [-X option_sftp] destination

DESCRIPTION
sftp est un programme de transfert de fichier similaire à ftp(1) qui effectue toutes ses opérations sur un transport chiffré ssh(1). Il peut aussi utiliser de nombreuses fonctionnalités de ssh comme l’authentification par clé publique et la compression.

La destination peut être spécifiée sous la forme [utilisateur@]hôte[:chemin] ou à l’aide de l’URI sftp://[utilisateur@]hôte[:port][/chemin].

Si la destination comporte un chemin et s’il ne s’agit pas d’un répertoire, sftp retrouvera automatiquement les fichiers si une méthode d’authentification non interactive est utilisée ; dans le cas contraire, il le fera après une authentification interactive réussie.

Si aucun chemin n’est spécifié ou si chemin est un répertoire, sftp se connectera à l’ hôte spécifié et entrera en mode commande interactif, en se plaçant dans le répertoire distant s’il est indiqué. Il est possible d’ajouter un barre oblique en fin de chemin pour forcer l’interprétation de chemin comme répertoire.

Comme les formats de la destination utilisent des caractères deux-points (« : ») pour séparer les noms d’hôte des noms de chemin ou des numéros de port, les adresses IPv6 doivent être entourées de crochets (« [] ») pour éviter toute ambiguïté.

Les options sont les suivantes :

-4  Forcer sftp à n’utiliser que des adresses IPv4.

-6  Forcer sftp à n’utiliser que des adresses IPv6.

-A  Autoriser la redirection de ssh-agent(1) vers le système distant. Par défaut, la redirection d’un agent d’authentification n’est pas autorisée.

-a  Essayer de reprendre les transferts interrompus au lieu d’écraser les copies de fichiers existantes partielles ou complètes. Si le contenu partiel diffère de celui qui est en cours de transfert, le fichier résultant sera probablement corrompu.

-B taille_tampon
    Cette option permet de spécifier la taille du tampon utilisé par sftp lors d’un transfert de fichiers. Une taille de tampon plus grande nécessitera moins d’allers-retours au prix d’une consommation de mémoire plus importante. La valeur par défaut est 32768 octets.

-b fichier_batch
    Le mode de traitement par lot lit une suite de commandes depuis un fichier d’entrée fichier_batch au lieu de stdin. Comme il n'y a pas d'interaction avec l'utilisateur, ce mode doit être utilisé avec une authentification non interactive pour éviter d’avoir à fournir un mot de passe lors de la connexion (voir sshd(8) et ssh-keygen(1) pour les détails).

    Utiliser « - » comme fichier_batch permet d’indiquer l'entrée standard. sftp s'interrompra si l'une des commandes suivantes échoue : get, put, reget, reput, rename, ln, rm, mkdir, chdir, ls, lchdir, copy, cp, chmod, chown, chgrp, lpwd, df, symlink et lmkdir.

    La sortie sur erreur peut être supprimée commande par commande en préfixant la commande par un caractère « - » (par exemple, -rm /tmp/blah*). L’écho de la commande peut être supprimé en préfixant la commande par un caractère « @ ». Ces deux préfixes peuvent être combinés entre eux dans n’importe quel ordre (par exemple -@ls /bsd).

-C  Activer la compression (à l’aide de l'option -C de ssh).

-c algorithme_chiffrement
    Cette option permet de sélectionner l’algorithme de chiffrement à utiliser pour le chiffrement des transferts de données. Cette option est passée directement à ssh(1).

-D commande_serveur_sftp
    Cette option permet d’indiquer un serveur sftp local auquel se connecter directement (plutôt que par ssh(1)). Il est possible de spécifier une commande et ses arguments (par exemple « /chemin/serveur_sftp -el debug3 »). Cette option peut s’avérer utile pour le débogage du client et du serveur.

-F configuration_ssh
    Cette option permet de spécifier un fichier de configuration par utilisateur de remplacement pour ssh(1). Elle est passée directement à ssh(1).

-f  Forcer l’écriture des fichiers sur disque immédiatement après leur transfert. Lors d’un téléversement de fichier, cette fonctionnalité n’est activée que si le serveur prend en charge l’extension « fsync@openssh.com ».

-i fichier_identité
    Cette option permet de sélectionner le fichier à partir duquel l’identité (la clé privée) sera lue pour l'authentification par clé publique. Elle est passée directement à ssh(1).

-J destination
    Se connecter à l’hôte cible en établissant tout d’abord une connexion sftp vers la machine de saut indiquée par destination, puis en effectuant une redirection TCP vers la destination finale depuis la machine de saut. Il est possible de spécifier plusieurs sauts successifs en les séparant par des virgules. Cette option est un raccourci pour définir une directive de configuration ProxyJump. Cette option est passée directement à ssh(1).

-l limite
    Cette option permet de limiter la bande passante utilisée en spécifiant sa valeur maximale en kbit/s.

-N  Désactiver le mode silencieux, par exemple pour outrepasser le mode silencieux implicite défini par l’option -b.

-o option_ssh
    Cette option permet de passer des options à ssh au format utilisé dans ssh_config(5). Elle s’avère utile pour spécifier des options pour lesquelles il n'y a pas d'option dédiée pour la ligne de commande de sftp. Par exemple, pour spécifier un port de remplacement : sftp -oPort=24. Pour plus de détails sur les options énumérées ci-après et leurs valeurs possibles, voir ssh_config(5).

    AddressFamily
    BatchMode
    BindAddress
    BindInterface
    CanonicalDomains
    CanonicalizeFallbackLocal
    CanonicalizeHostname
    CanonicalizeMaxDots
    CanonicalizePermittedCNAMEs
    CASignatureAlgorithms
    CertificateFile
    CheckHostIP
    Ciphers
    Compression
    ConnectionAttempts
    ConnectTimeout
    ControlMaster
    ControlPath
    ControlPersist
    GlobalKnownHostsFile
    GSSAPIAuthentication
    GSSAPIDelegateCredentials
    HashKnownHosts
    Host
    HostbasedAcceptedAlgorithms
    HostbasedAuthentication
    HostKeyAlgorithms
    HostKeyAlias
    Hostname
    IdentitiesOnly
    IdentityAgent
    IdentityFile
    IPQoS
    KbdInteractiveAuthentication
    KbdInteractiveDevices
    KexAlgorithms
    KnownHostsCommand
    LogLevel
    MACs
    NoHostAuthenticationForLocalhost
    NumberOfPasswordPrompts
    PasswordAuthentication
    PKCS11Provider
    Port
    PreferredAuthentications
    ProxyCommand
    ProxyJump
    PubkeyAcceptedAlgorithms
    PubkeyAuthentication
    RekeyLimit
    RequiredRSASize
    SendEnv
    ServerAliveInterval
    ServerAliveCountMax
    SetEnv
    StrictHostKeyChecking
    TCPKeepAlive
    UpdateHostKeys
    User
    UserKnownHostsFile
    VerifyHostKeyDNS

-P port
    Cette option permet de spécifier le port auquel se connecter sur l'hôte distant.

-p  Préserver les dates de modifications, d'accès et les modes des fichiers transférés.

-q  Mode silencieux : la barre de progression ainsi que les messages d’avertissement et de diagnostic en provenance de ssh(1) sont désactivés.

-R nombre_requêtes
    Cette option permet de spécifier le nombre de requêtes pouvant être en attente à un instant donné. Augmenter ce nombre améliorera légèrement la vitesse de transfert des fichiers, mais augmentera la consommation de mémoire. La valeur par défaut est de 64 requêtes en attente.

-r  Copier récursivement les répertoires complets lors d’un téléversement ou d’un téléchargement. Notez que sftp ne suit pas les liens symboliques rencontrés lors du parcours de l'arborescence.

-S programme
    Cette option permet de spécifier le nom du programme à utiliser pour la connexion chiffrée. Ce programme doit prendre en charge les options de ssh(1).

-s sous_système | serveur_sftp
    Cette option permet de spécifier le sous-sytème SSH2 ou le chemin d'un serveur sftp sur l'hôte distant. Un tel chemin s’avère utile lorsque que le démon sshd(8) distant n'a pas de sous-système sftp configuré.

-v  Augmenter le niveau de journalisation. Cette option est aussi passée à ssh(1).

-X option_sftp
    Cette option permet de spécifier une option qui contrôle certains aspects du comportement du protocole SFTP. Les options disponibles sont :

    nrequests=valeur
        Cette option permet de définir le nombre de requêtes SFTP de lecture ou d’écriture qui peuvent être traitées simultanément au cours d’un téléchargement ou d’un téléversement. Par défaut, 64 requêtes peuvent être traitées simultanément.

    buffer=valeur
        Cette option permet de définir la taille maximale du tampon utilisé lors d’un téléchargement ou d’un téléversement pour une seule opération SFTP de lecture/écriture. La valeur par défaut est de 32 ko.

COMMANDES INTERACTIVES
En mode interactif, sftp prend en charge un jeu de commandes similaires à celles de ftp(1). Les commandes sont insensibles à la casse. Les noms des chemins contenant des espaces doivent être entourés de guillemets droits simples (« ' »). Tout caractère spécial contenu dans un nom de chemin et reconnu par glob(3) doit être protégé par une barre oblique inverse («  »).

bye Quitter sftp.

cd [chemin]
    Changer le répertoire distant pour chemin. Si chemin n’est pas spécifié, changer le répertoire pour celui sous lequel la session a démarré.

chgrp
    [-h] grp chemin Changer le groupe du fichier chemin à grp. chemin peut contenir des caractères glob(7) et peut correspondre à plusieurs fichiers. grp doit être un GID numérique.

    Si l’option -h est spécifiée, les liens symboliques ne seront pas suivis. Notez que cette fonctionnalité n’est prise en charge que par les serveurs qui implémentent l’extension « lsetstat@openssh.com ».

chmod
    [-h] mode chemin Changer les permissions du fichier path à mode. chemin peut contenir des caractères glob(7) et peut correspondre à plusieurs fichiers.

    Si l’option -h est spécifiée, les liens symboliques ne seront pas suivis. Notez que cette fonctionnalité n’est prise en charge que par les serveurs qui implémentent l’extension « lsetstat@openssh.com ».

chown
    [-h] propriétaire chemin Changer le propriétaire du fichier chemin à propriétaire. chemin peut contenir des caractères glob(7) et peut correspondre à plusieurs fichiers. propriétaire doit être un UID numérique.

    Si l’option -h est spécifiée, les liens symboliques ne seront pas suivis. Notez que cette fonctionnalité n’est prise en charge que par les serveurs qui implémentent l’extension « lsetstat@openssh.com ».

copy ancien_chemin nouveau_chemin
    Copier le fichier distant de ancien_chemin vers nouveau_chemin.

    Notez que cette fonctionnalité n’est prise en charge que par les serveurs qui implémentent l’extension « copy-data ».

cp ancien_chemin nouveau_chemin
    Alias de la commande copy.

df  [-hi] [chemin] Afficher les informations d’utilisation du système de fichiers contenant le répertoire actuel (ou chemin si spécifié). Si l’option -h est spécifiée, les informations d’utilisation seront affichées avec des suffixes « lisibles par les humains ». Le drapeau -i demande l'affichage des numéros d'inodes en plus des informations d’utilisation. Cette commande n’est prise en charge que par les serveurs qui implémentent l'extension « statvfs@openssh.com ».

exit
    Quitter sftp.

get [-afpR] chemin_distant [chemin_local] Récupérer l'emplacement chemin_distant et le stocker sur la machine locale. Si le nom d'emplacement local n'est pas spécifié, il adoptera le même nom que sur l’hôte distant. chemin_distant peut contenir des caractères glob(7) et peut correspondre à plusieurs fichiers. Si c'est le cas et si un chemin_local est spécifié, chemin_local doit correspondre à un répertoire.

    Si l’option -a est spécifiée, tenter de reprendre les transferts partiels des fichiers existants. Notez que la reprise suppose que toute copie partielle du fichier local correspond à la copie distante. Si le contenu du fichier distant diffère de celui de la copie partielle locale, le fichier résultant sera probablement corrompu.

    Si l’option -f est spécifiée, fsync(2) sera appelé après le transfert complet du fichier pour enregistrer ce dernier sur disque.

    Si l’option -p est spécifiée, les permissions complètes du fichier et les heures d'accès seront aussi conservées.

    Si l’option -R est spécifiée, les répertoires seront copiés récursivement. Notez que sftp ne suit pas les liens symboliques lors de transferts récursifs.

help
    Afficher le texte de l'aide.

lcd [chemin]
    Changer le répertoire local en chemin. Si chemin n’est pas spécifié, changer le répertoire pour le répertoire personnel de l’utilisateur local.

lls [options_ls [chemin]]
    Afficher la liste des fichiers du répertoire local chemin ou du répertoire local actuel si chemin n'est pas spécifié. options_ls peut contenir n'importe quelle option prise en charge par la commande ls(1) du système local. chemin peut contenir des caractères glob(7) et peut correspondre à plusieurs fichiers.

lmkdir chemin
    Créer le répertoire local spécifié par chemin.

ln  [-s] ancien_chemin nouveau_chemin Créer un lien de ancien_chemin à nouveau_chemin. Si l’option -s est spécifiée, le lien créé sera un lien symbolique, sinon ce sera un lien physique.

lpwd
    Afficher le répertoire de travail local.

ls  [-1afhlnrSt] [chemin] Afficher la liste des fichiers du répertoire distant chemin ou du répertoire actuel si chemin n'est pas spécifié. chemin peut contenir des caractères glob(7) et peut correspondre à plusieurs fichiers.

    Les options suivantes sont reconnues et modifient le comportement de ls en conséquence :

    -1  Produire une sortie sur une seule colonne.

    -a  Lister les fichiers dont le nom commence par un point « . ».

    -f  Ne pas trier la liste. L’ordre de tri par défaut est lexicographique.

    -h  Avec l'option de format long, utiliser les suffixes d'unité : Octet, Kilooctet, Megaoctet, Gigaoctet, Teraoctet, Petaoctet et Exaoctet pour réduire le nombre de chiffres à quatre ou moins à l'aide de puissances de 2 pour les tailles (K=1024, M=1048576, etc.).

    -l  Afficher des informations supplémentaires dont les permissions et le propriétaire.

    -n  Produire une longue liste avec les informations sur le propriétaire et le groupe présentées de manière numérique.

    -r  Inverser l'ordre de tri de la liste.

    -S  Trier la liste par taille de fichier.

    -t  Trier la liste par date de dernière modification.

lumask umask
    Définir l'umask (mode de création de fichier) local à umask.

mkdir chemin
    Créer le répertoire distant spécifié par chemin.

progress
    Activer l'affichage de la barre de progression.

put [-afpR] chemin_local [chemin_distant] Téléverser l'emplacement chemin_local et le stocker sur l’hôte distant. Si le chemin distant n'est pas spécifié, il adoptera le même nom que sur la machine locale. chemin_local peut contenir des caractères glob(7) et peut correspondre à plusieurs fichiers. Si c'est le cas et si un chemin_distant est spécifié, ce dernier doit correspondre à un répertoire.

    Si l’option -a est spécifiée, tenter de reprendre les transferts partiels des fichiers existants. Notez que la reprise suppose que toute copie partielle du fichier distant correspond à la copie locale. Si le contenu du fichier local diffère de celui de la copie partielle distante, le fichier résultant sera probablement corrompu.

    Si l’option -f est spécifiée, il sera demandé au serveur d’appeler fsync(2) une fois le transfert du fichier terminé. Notez que cette fonctionnalité n’est prise en charge que par les serveurs qui implémentent l’extension « fsync@openssh.com ».

    Si l’option -p est spécifiée, les permissions complètes du fichier et les heures d'accès seront aussi conservées.

    Si l’option -R est spécifiée, les répertoires seront copiés récursivement. Notez que sftp ne suit pas les liens symboliques lors de transferts récursifs.

pwd Affiche le répertoire de travail distant.

quit
    Quitter sftp.

reget
    [-fpR] chemin_distant [chemin_local] Reprendre le téléchargement de chemin_distant. Équivalent à get avec le drapeau -a défini.

reput
    [-fpR] chemin_local [chemin_distant] Reprendre le téléversement de chemin_local. Équivalent à put avec le drapeau -a défini.

rename ancien_chemin nouveau_chemin
    Renommer le fichier distant ancien_chemin en nouveau_chemin.

rm chemin
    Supprimer le fichier distant spécifié par l'emplacement chemin.

rmdir chemin
    Supprimer le répertoire distant spécifié par l'emplacement chemin.

symlink ancien_chemin nouveau_chemin
    Créer un lien symbolique de ancien_chemin vers nouveau_chemin.

version
    Afficher la version du protocole de sftp.

!commande
    Exécuter la commande dans l’interpréteur de commande local.

!   Basculer dans l’interpréteur de commande local.

?   Synonyme pour aide.

VOIR AUSSI
ftp(1), ls(1), scp(1), ssh(1), ssh-add(1), ssh-keygen(1), ssh_config(5), glob(7), sftp-server(8), sshd(8) T. Ylonen, S. Lehtinen, « SSH File Transfer Protocol », draft-ietf-secsh-filexfer-00.txt, janvier 2001, travail en cours.

TRADUCTION
La traduction française de cette page de manuel a été créée par Lucien Gentis <lucien.gentis@univ-lorraine.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3: https://www.gnu.org/licenses/gpl-3.0.html concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.